---
canonical: https://amplience.com/developers/docs/apis/content-management-reference/administration/
title: "Administration"
description: "API reference for administration endpoints. Covers access control, permissions management, and feature module enablement."
audience: Developer
date_published: 2023-08-29
date_modified: 2026-06-16
---

# Administration

**Base URL:** `https://api.amplience.net/v2/content`

> **Note: Authorization and status codes**
> For authorization and status codes see the [API Reference overview](https://amplience.com/developers/docs/apis/content-management-reference/).

## Administration

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/admin` | [List administrative operations](#list-administrative-operations) |
| `GET` | `/admin/access` | [Manage access to resources](#manage-access-to-resources) |
| `GET` | `/admin/access/{resource}/{resourceId}` | [List operations on a resource](#list-operations-on-a-resource) |
| `GET` | `/admin/access/{resource}/{resourceId}/members` | [List members on a resource](#list-members-on-a-resource) |
| `GET` | `/admin/access/{resource}/{resourceId}/members/{sid}` | [Get a member by id](#get-a-member-by-id) |
| `DELETE` | `/admin/access/{resource}/{resourceId}`<br/>`/members/{sid}/permissions/{permissions}` | [Revoking permissions](#revoking-permissions) |
| `GET` | `/admin/modules` | [Manage modules on resources](#manage-modules-on-resources) |
| `GET` | `/admin/modules/hubs/{hubId}` | [List module operations on a hub](#list-module-operations-on-a-hub) |
| `POST` | `/admin/modules/hubs/{hubId}/algolia-search` | [Enable the search index module on a hub](#enable-the-search-index-module-on-a-hub) |
| `POST` | `/admin/modules/hubs/{hubId}/content-delivery-2` | [Enable the content delivery v2 module on a hub](#enable-the-content-delivery-v2-module-on-a-hub) |

### List administrative operations

`GET /admin`

<small>`https://api.amplience.net/v2/content/admin`</small>

Lists the available administrative operations.

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List of HAL links to perform the desired operations |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/admin"
    },
    "access": {
      "href": "https://api.amplience.net/v2/content/admin/access"
    },
    "modules": {
      "href": "https://api.amplience.net/v2/content/admin/modules"
    }
  }
}
```

</details>

### Manage access to resources

`GET /admin/access`

<small>`https://api.amplience.net/v2/content/admin/access`</small>

With the ability to manage access you can control which users have which permissions to the resources you administer.

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List of HAL links to manage permissions of users for resources |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/admin/access"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/admin/access/hubs/{id}",
      "templated": true
    },
    "content-repository": {
      "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/{id}",
      "templated": true
    }
  }
}
```

</details>

### List operations on a resource

`GET /admin/access/{resource}/{resourceId}`

<small>`https://api.amplience.net/v2/content/admin/access/{resource}/{resourceId}`</small>

Given the id of a resource for which you are an administrator, you can see the various operations that you can perform. Simply follow the appropriate link for the resource passing in the id.

| Resource Type         | Required Functional Permissions                                                        | Required ACLs                                    |
|-----------------------|----------------------------------------------------------------------------------------|--------------------------------------------------|
| hubs                  | `CONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS` `CONTENT:FUNCTIONAL:HUB:MANAGE_ACCESS`        | `Hub - READ``Hub - MANAGE_ACCESS`                |
| content\-repositories | `CONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS` `CONTENT:FUNCTIONAL:REPOSITORY:MANAGE_ACCESS` | `Hub - READ` `ContentRepository - MANAGE_ACCESS` |

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `resource` | path | string (hubs, content-repositories) | ✓ | Resource Type<br/>Example: `hubs` |
| `resourceId` | path | string | ✓ | Resource ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List of resource Operations |

<details>
<summary>Response example (200): Hubs</summary>

```json
{
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/admin/access/hubs/5d5bc260c9e77c035fee1c6e"
    },
    "members": {
      "href": "https://api.amplience.net/v2/content/admin/access/hubs/5d5bc260c9e77c035fee1c6e/members"
    },
    "member": {
      "href": "https://api.amplience.net/v2/content/admin/access/hubs/5d5bc260c9e77c035fee1c6emembers/{sid}"
    }
  }
}
```

</details>

<details>
<summary>Response example (200): Content repositories</summary>

```json
{
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/5d5bc260c9e77c035fee1c6e"
    },
    "members": {
      "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/5d5bc260c9e77c035fee1c6e/members"
    },
    "member": {
      "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/5d5bc260c9e77c035fee1c6emembers/{sid}"
    }
  }
}
```

</details>

### List members on a resource

`GET /admin/access/{resource}/{resourceId}/members`

<small>`https://api.amplience.net/v2/content/admin/access/{resource}/{resourceId}/members`</small>

The memebrs link will list the memebrs that have access to a particular resource.  This includes the member's id (sid) and the list of permissions they have.

| Resource Type         | Required Functional Permissions                                                        | Required ACLs                                    |
|-----------------------|----------------------------------------------------------------------------------------|--------------------------------------------------|
| hubs                  | `CONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS` `CONTENT:FUNCTIONAL:HUB:MANAGE_ACCESS`        | `Hub - READ` `Hub - MANAGE_ACCESS`               |
| content\-repositories | `CONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS` `CONTENT:FUNCTIONAL:REPOSITORY:MANAGE_ACCESS` | `Hub - READ` `ContentRepository - MANAGE_ACCESS` |

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `resource` | path | string (hubs, content-repositories) | ✓ | Resource Type<br/>Example: `hubs` |
| `resourceId` | path | string | ✓ | Resource ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List of resource members |

<details>
<summary>Response example (200): hub</summary>

```json
{
  "_embedded": {
    "members": [
      {
        "sid": "alice",
        "permissions": [
          "READ",
          "EDIT",
          "DELETE",
          "SHARE",
          "CREATE_REPOSITORY",
          "CREATE_EVENT",
          "EDIT_EVENT",
          "DELETE_EVENT",
          "CREATE_EDITION",
          "EDIT_EDITION",
          "DELETE_EDITION",
          "MANAGE_ACCESS",
          "EDIT_WORKFLOW_STATES"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/alice"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/alice/permissions/{permission}",
            "templated": true
          }
        }
      },
      {
        "sid": "bob",
        "permissions": [
          "READ"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/bob"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/bob/permissions/{permission}",
            "templated": true
          }
        }
      },
      {
        "sid": "charlie",
        "permissions": [
          "READ",
          "CREATE_REPOSITORY"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/charlie"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/charlie/permissions/{permission}",
            "templated": true
          }
        }
      },
      {
        "sid": "david",
        "permissions": [
          "READ"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/david"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/david/permissions/{permission}",
            "templated": true
          }
        }
      },
      {
        "sid": "ewan",
        "permissions": [
          "READ"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/ewan"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/ewan/permissions/{permission}",
            "templated": true
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members"
    }
  }
}
```

</details>

<details>
<summary>Response example (200): content-repository</summary>

```json
{
  "_embedded": {
    "members": [
      {
        "sid": "alice",
        "permissions": [
          "READ",
          "EDIT",
          "DELETE",
          "SHARE",
          "CREATE_CONTENT",
          "EDIT_CONTENT",
          "DELETE_CONTENT",
          "MANAGE_ACCESS"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/alice"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/alice/permissions/{permission}",
            "templated": true
          }
        }
      },
      {
        "sid": "bob",
        "permissions": [
          "READ"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/bob"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/bob/permissions/{permission}",
            "templated": true
          }
        }
      },
      {
        "sid": "charlie",
        "permissions": [
          "READ",
          "CREATE_CONTENT"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/charlie"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/charlie/permissions/{permission}",
            "templated": true
          }
        }
      },
      {
        "sid": "david",
        "permissions": [
          "READ"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/david"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/david/permissions/{permission}",
            "templated": true
          }
        }
      },
      {
        "sid": "ewan",
        "permissions": [
          "READ"
        ],
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/ewan"
          },
          "revoke-permission": {
            "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/ewan/permissions/{permission}",
            "templated": true
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members"
    }
  }
}
```

</details>

### Get a member by id

`GET /admin/access/{resource}/{resourceId}/members/{sid}`

<small>`https://api.amplience.net/v2/content/admin/access/{resource}/{resourceId}/members/{sid}`</small>

Given a resource and a member id you can navigate directly to a specific member by following the "member" link from the resource.

| Resource Type         | Required Functional Permissions                                                        | Required ACLs                                    |
|-----------------------|----------------------------------------------------------------------------------------|--------------------------------------------------|
| hubs                  | `CONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS` `CONTENT:FUNCTIONAL:HUB:MANAGE_ACCESS`        | `Hub - READ` `Hub - MANAGE_ACCESS`               |
| content\-repositories | `CONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS` `CONTENT:FUNCTIONAL:REPOSITORY:MANAGE_ACCESS` | `Hub - READ` `ContentRepository - MANAGE_ACCESS` |

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `resource` | path | string (hubs, content-repositories) | ✓ | Resource Type<br/>Example: `hubs` |
| `resourceId` | path | string | ✓ | Resource ID<br/>Example: `00112233445566778899aabb` |
| `sid` | path | string | ✓ | Member ID<br/>Example: `alice` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | The requested member |

<details>
<summary>Response example (200): hub</summary>

```json
{
  "sid": "alice",
  "permissions": [
    "READ"
  ],
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/alice"
    },
    "revoke-permission": {
      "href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/alice/permissions/{permission}",
      "templated": true
    }
  }
}
```

</details>

### Revoking permissions

`DELETE /admin/access/{resource}/{resourceId}/members/{sid}/permissions/{permissions}`

<small>`https://api.amplience.net/v2/content/admin/access/{resource}/{resourceId}/members/{sid}/permissions/{permissions}`</small>

Revoke access to a specific resource by deleting a member's permission. From a member, follow the revoke-permission link passing in the permission to delete. You can specify one or multiple permissions. Multiple permissions are comma separated.

| Resource Type | Required Functional Permissions | Required ACLs |
|--------------|--------------------------------|---------------|
| hubs | `CONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS` `CONTENT:FUNCTIONAL:HUB:MANAGE_ACCESS` | Hub - READ<br/>Hub - MANAGE_ACCESS |
| content-repositories | `CONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS` `CONTENT:FUNCTIONAL:REPOSITORY:MANAGE_ACCESS` | Hub - READ<br/>ContentRepository - MANAGE_ACCESS |

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `resource` | path | string (hubs, content-repositories) | ✓ | Resource Type<br/>Example: `hubs` |
| `resourceId` | path | string | ✓ | Resource ID<br/>Example: `00112233445566778899aabb` |
| `sid` | path | string | ✓ | Member ID<br/>Example: `alice` |
| `permissions` | path | string | ✓ | Permission(s) to revoke (comma separated list)<br/>Example: `READ,EDIT` |

**Responses**

| Status | Description |
|--------|-------------|
| 204 | No Content |

### Manage modules on resources

`GET /admin/modules`

<small>`https://api.amplience.net/v2/content/admin/modules`</small>

Modules offer additional functionality which is not enabled by default. With the ability to manage modules you can control which modules are enabled on the resources you administer.

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List of HAL links to manage modules on resources |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/admin/modules"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/admin/modules/hubs/{id}",
      "templated": true
    }
  }
}
```

</details>

### List module operations on a hub

`GET /admin/modules/hubs/{hubId}`

<small>`https://api.amplience.net/v2/content/admin/modules/hubs/{hubId}`</small>

Given the id of a hub for which you are an administrator, you can see the various module management operations that you can perform. Simply follow the appropriate link for the resource passing in the id.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | List of hub module management operations |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/admin/modules/hubs/5d5bc260c9e77c035fee1c6e"
    },
    "enable-content-delivery-2": {
      "href": "https://api.amplience.net/v2/content/admin/modules/hubs/5d5bc260c9e77c035fee1c6e/content-delivery-2"
    },
    "enable-algolia-search": {
      "href": "https://api.amplience.net/v2/content/admin/modules/hubs/5d5bc260c9e77c035fee1c6e/algolia-search"
    }
  }
}
```

</details>

### Enable the search index module on a hub

`POST /admin/modules/hubs/{hubId}/algolia-search`

<small>`https://api.amplience.net/v2/content/admin/modules/hubs/{hubId}/algolia-search`</small>

Enable the Search Indexes module (Algolia Search) on the specified hub. Simply follow the appropriate link for the resource passing in the id.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | The updated hub with the module enabled |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "anya-finn",
  "label": "Anya Finn",
  "description": "Content for anyafinn.com",
  "plan": "DEVELOPER",
  "algoliaSearch": "ENABLED",
  "cdv2": "ENABLED",
  "organizationId": "org_cDQVi4ww5y6cMPtN",
  "settings": {
    "publishing": {
      "platforms": {
        "amplience_dam": {
          "API_KEY": "DAM_CLIENT_KEY",
          "endpoint": "endpoint"
        }
      }
    },
    "devices": [
      {
        "name": "New Device",
        "width": 2048,
        "height": 1024,
        "orientate": false
      }
    ],
    "localization": {
      "locales": [
        "en-GB",
        "fr-FR"
      ]
    },
    "applications": [
      {
        "name": "Preview Site",
        "templatedUri": "http://example.com"
      }
    ],
    "previewVirtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "virtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "assetManagement": {
      "enabled": false,
      "clientConfig": "HUB"
    },
    "contentItems": {
      "validation": {
        "ignoreSchemaValidation": false
      }
    }
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "snapshots": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots{?page,size,sort,types}",
      "templated": true
    },
    "create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots"
    },
    "batch-create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots/batch"
    },
    "events": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events{?page,size,sort}",
      "templated": true
    },
    "create-event": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events"
    },
    "archive": {
      "href": "https://api.amplience.net/v2/content/events/{id}/archive",
      "templated": true
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update-settings": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/settings"
    },
    "share": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/share"
    },
    "content-repositories": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories{?page,size,sort}",
      "templated": true
    },
    "create-content-repository": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories"
    },
    "register-content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types"
    },
    "create-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas"
    },
    "content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types{?page,size,sort,status}",
      "templated": true
    },
    "list-content-type-schemas": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas{?page,size,sort}",
      "templated": true
    },
    "resolve-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas/resolve"
    },
    "search-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/find{?page,projection,query,size,sort}",
      "templated": true
    },
    "facet-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/facet{?page,projection,query,size,sort}",
      "templated": true
    },
    "search-localization-jobs": {
      "href": "https://api.amplience.net/v2/content/localization-jobs/search"
    },
    "webhooks": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks{?page,size,sort}",
      "templated": true
    },
    "create-webhook": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks"
    },
    "integrations": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations{?page,size,sort}",
      "templated": true
    },
    "create-workflow-state": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states"
    },
    "workflow-states": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states{?page,size,sort}",
      "templated": true
    },
    "create-algolia-search-index": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes"
    },
    "algolia-search-indexes": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{?parentId,projection,page,size,sort,status}",
      "templated": true
    }
  }
}
```

</details>

### Enable the content delivery v2 module on a hub

`POST /admin/modules/hubs/{hubId}/content-delivery-2`

<small>`https://api.amplience.net/v2/content/admin/modules/hubs/{hubId}/content-delivery-2`</small>

Enable the Content Delivery v2 module on the specified hub. Simply follow the appropriate link for the resource passing in the id.

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | The updated hub with the module enabled |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "anya-finn",
  "label": "Anya Finn",
  "description": "Content for anyafinn.com",
  "plan": "DEVELOPER",
  "algoliaSearch": "ENABLED",
  "cdv2": "ENABLED",
  "organizationId": "org_cDQVi4ww5y6cMPtN",
  "settings": {
    "publishing": {
      "platforms": {
        "amplience_dam": {
          "API_KEY": "DAM_CLIENT_KEY",
          "endpoint": "endpoint"
        }
      }
    },
    "devices": [
      {
        "name": "New Device",
        "width": 2048,
        "height": 1024,
        "orientate": false
      }
    ],
    "localization": {
      "locales": [
        "en-GB",
        "fr-FR"
      ]
    },
    "applications": [
      {
        "name": "Preview Site",
        "templatedUri": "http://example.com"
      }
    ],
    "previewVirtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "virtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "assetManagement": {
      "enabled": false,
      "clientConfig": "HUB"
    },
    "contentItems": {
      "validation": {
        "ignoreSchemaValidation": false
      }
    }
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "snapshots": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots{?page,size,sort,types}",
      "templated": true
    },
    "create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots"
    },
    "batch-create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots/batch"
    },
    "events": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events{?page,size,sort}",
      "templated": true
    },
    "create-event": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events"
    },
    "archive": {
      "href": "https://api.amplience.net/v2/content/events/{id}/archive",
      "templated": true
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update-settings": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/settings"
    },
    "share": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/share"
    },
    "content-repositories": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories{?page,size,sort}",
      "templated": true
    },
    "create-content-repository": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories"
    },
    "register-content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types"
    },
    "create-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas"
    },
    "content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types{?page,size,sort,status}",
      "templated": true
    },
    "list-content-type-schemas": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas{?page,size,sort}",
      "templated": true
    },
    "resolve-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas/resolve"
    },
    "search-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/find{?page,projection,query,size,sort}",
      "templated": true
    },
    "facet-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/facet{?page,projection,query,size,sort}",
      "templated": true
    },
    "search-localization-jobs": {
      "href": "https://api.amplience.net/v2/content/localization-jobs/search"
    },
    "webhooks": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks{?page,size,sort}",
      "templated": true
    },
    "create-webhook": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks"
    },
    "integrations": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations{?page,size,sort}",
      "templated": true
    },
    "create-workflow-state": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states"
    },
    "workflow-states": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states{?page,size,sort}",
      "templated": true
    },
    "create-algolia-search-index": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes"
    },
    "algolia-search-indexes": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{?parentId,projection,page,size,sort,status}",
      "templated": true
    }
  }
}
```

</details>
